Subject: Re: bug#47671: Small tweaks & fixes for Emacs/GNU ELPA websites

From: Sebastian Urban <[email-masked]>
Date: Sun, 25 Apr 2021 22:41:31 +0200

Everything looks good. Thanks, but...

> Second, "A Guided Tour of Emacs" website. According to the
> LAYOUT.CSS (https://www.gnu.org/software/emacs/layout.css):
>
> pre { font-family: monospace; (...) font-size: 1.2em; }
>
> This is used in the "Download" section, actually. It's missing "Fira
> Mono", and I don't think font-size is needed there at all.

I'm not sure what happened to the "font-size: 1.2em". I mean, I'm not
sure whether you skipped it or missed. I know, I forgot to add it to
the diff...

Inside "pre" you could also reduce "padding" from 10px to 5px.

>> Unfortunately, due to background colour for the "Releases" section,
>> visibility is rather bad. Possible solutions:
>>
>> A. Remove background colour from ".releases" (this one:
>> "background: #F0EBDE;") AND set inline style for "kbd" like in the
>> Emacs Tour (this also means more consistency for "kbd"), i.e.:
>>
>> kbd { background: #ffe; }
>
> Fixed this in a slightly different way: I styled ".releases kbd" in
> the same way as ".releases tt" was previously.

Well, that's simpler and works, although I was trying to make it
look similar to the "kbd" on the Tour website.

Other than that, I just wonder why "Fira Sans" is not capitalized,
while "Fira Mono" is?

--
S. U.